<?xml version="1.0"?>
<!DOCTYPE filter SYSTEM "filter.dtd">
<filter title="Advertisements"
 desc="A lot of web sites have advertisments. The typical advert has an anchor tag and included the advert image:  &lt;a href=&quot;http://company.com&quot;&gt;&lt;img  src=&quot;http://adserver.de/banner.gif&quot;&gt;&lt;a&gt;.  So we search for the &lt;a&gt; tag and remove it.">

<block title="Hosts without DNS name"
 desc="If a host has no DNS name it consists only of numbers, for  example &quot;http://34.55.124.2&quot;. A lot of adverts are loaded from such servers. We restrict it further more for CGI queries which fetch GIF images."
 host="^[\d.]+$"
 query="\.gif$"/>

<block title="CGI adverts"
 desc="Search for the words &quot;ad&quot; and &quot;click&quot;  in the path and a non-empty query."
 path="(ad.*click|click.*thr|click.*ad)"
 query=".+">http://localhost/</block>

<block title="CGI adverts 2"
 desc="Search for advert,banner,adid,profileid in the path  and for a non-empty query."
 path="(advert|banner|adid|profileid)"
 query=".+"/>

<rewrite title="CGI adverts"
 desc="This rule matches GIFs served by CGI and with advert words in the path.">
<attr>/cgi-bin/ads?(log)?.*([=&amp;?]|\.gif)</attr>
</rewrite>

<rewrite title="CGI adverts 2"
 desc="This rule matches GIFs served by CGI and with advert words in the path.">
<attr>/cgi-acc/clickthru.acc\?</attr>
</rewrite>

<rewrite title="Adverts in the path name"
 desc="Kill links with ad words in the path name.">
<attr>/(web)?ad(vert(s)?|click|s)</attr>
</rewrite>

<rewrite title="Adverts in the path name 2"
 desc="Kill links with ad words in the path name.">
<attr>/(banner(s|_redirect)|clickit|werbung)</attr>
</rewrite>

<rewrite title="Adverts in the path name 4"
 desc="Kill links with ad words in the path name.">
<attr>\.eu-adcenter\.net</attr>
</rewrite>

<rewrite title="Ad servers"
 desc="Kill links with ad words in the host name.">
<attr>http://adse?rv.*\.(com|net)</attr>
</rewrite>

<rewrite title="Ad servers 2"
 desc="Kill links with ad words in the host name.">
<attr>http://.*(doubleclick|adforce|netadsrv|adrunner)\.</attr>
</rewrite>

<rewrite title="Ad servers 3"
 desc="Kill links with ad words in the host name.">
<attr>http://ad.*\.flycast\.com</attr>
</rewrite>

<rewrite title="Ad servers 4"
 desc="Kill links with ad words in the host name.">
<attr>http://(eur\.)?rd\.yahoo\.com</attr>
</rewrite>

<rewrite title="Ad servers 5"
 desc="Kill links with ad words in the host name.">
<attr>((link|media)exchange|mediaplex|realmedia|imgis|adsynergy|fast(click|counter|graphics)|hitexchange|creative-ads|click(it|finders|burst|here.egroups))\.com</attr>
</rewrite>

<rewrite title="Ad servers 6"
 desc="Kill links with ad words in the host name.">
<attr>http://ads?\d*?(click)?\..*\.(com|net)</attr>
</rewrite>

<rewrite title="Ad servers 7"
 desc="Kill links with ad words in the host name.">
<attr>http://banner*\.(com|de)</attr>
</rewrite>

<rewrite title="German ad servers"
 desc="Kill links with ad words in the host name.">
<attr>(adlink|microexchange|sponsornetz|spezialreporte)\.de</attr>
</rewrite>

<rewrite title="Adverts in the path name 3"
 desc="Kill links with ad words in the path name.">
<attr>/event\.ng/Type=click</attr>
</rewrite>

<rewrite title="Deja.com adverts"
 desc="Kill links with ad words in the host name.">
<attr>www\.deja\.com/jump/</attr>
</rewrite>

<rewrite title="CGI adverts 5"
 desc="Kill links with ad words in the path name.">
<attr>/cgi-bin/bannerclick</attr>
</rewrite>

<rewrite title="adbouncer"
 desc="Kill links with ad words in the path name.">
<attr>/adbouncer\.phtml</attr>
</rewrite>

<rewrite title="easy-cash"
 desc="Kill links with ad words in the host name.">
<attr>easy-cash</attr>
</rewrite>

<rewrite title="/werbung"
 desc="Kill links with the german ad word.">
<attr>/werbung</attr>
</rewrite>

<image title="Banner at rootprompt.org"
 desc="The website rootprompt.org has a banner image."
 width="468"
 height="60"/>
</filter>